Package ghidra.sleigh.grammar

# Class SemanticLexer

java.lang.Object
org.antlr.runtime.BaseRecognizer
org.antlr.runtime.Lexer
ghidra.sleigh.grammar.AbstractSleighLexer
ghidra.sleigh.grammar.SemanticLexer

All Implemented Interfaces:
  `SleighRecognizerConstants`, `org.antlr.runtime.TokenSource`

public class SemanticLexer extends AbstractSleighLexer

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ALPHA`
  `static final int`
  `ALPHAUP`
  `static final int`
  `AMPERSAND`
  `static final int`
  `ASSIGN`
  `static final int`
  `ASTERISK`
  `static final int`
  `BIN_INT`
  `static final int`
  `BINDIGIT`
  `static final int`
  `BOOL_AND`
  `static final int`
  `BOOL_OR`
  `static final int`
  `BOOL_XOR`
  `static final int`
  `CARET`
  `static final int`
  `COLON`
  `static final int`
  `COMMA`
  `static final int`
  `CPPCOMMENT`
  `static final int`
  `DEC_INT`
  `static final int`
  `DIGIT`
  `static final int`
  `DISPCHAR`
  `static final int`
  `ELLIPSIS`
  `static final int`
  `EOF`
  `static final int`
  `EOL`
  `static final int`
  `EQUAL`
  `static final int`
  `ESCAPE`
  `static final int`
  `EXCLAIM`
  `static final int`
  `FDIV`
  `static final int`
  `FEQUAL`
  `static final int`
  `FGREAT`
  `static final int`
  `FGREATEQUAL`
  `static final int`
  `FLESS`
  `static final int`
  `FLESSEQUAL`
  `static final int`
  `FMINUS`
  `static final int`
  `FMULT`
  `static final int`
  `FNOTEQUAL`
  `static final int`
  `FPLUS`
  `SemanticLexer_BaseLexer`
  `gBaseLexer`
  `static final int`
  `GREAT`
  `static final int`
  `GREATEQUAL`
  `static final int`
  `HEX_INT`
  `static final int`
  `HEXDIGIT`
  `static final int`
  `IDENTIFIER`
  `static final int`
  `KEY_ALIGNMENT`
  `static final int`
  `KEY_ATTACH`
  `static final int`
  `KEY_BIG`
  `static final int`
  `KEY_BITRANGE`
  `static final int`
  `KEY_BUILD`
  `static final int`
  `KEY_CALL`
  `static final int`
  `KEY_CONTEXT`
  `static final int`
  `KEY_CROSSBUILD`
  `static final int`
  `KEY_DEC`
  `static final int`
  `KEY_DEFAULT`
  `static final int`
  `KEY_DEFINE`
  `static final int`
  `KEY_ENDIAN`
  `static final int`
  `KEY_EXPORT`
  `static final int`
  `KEY_GOTO`
  `static final int`
  `KEY_HEX`
  `static final int`
  `KEY_LITTLE`
  `static final int`
  `KEY_LOCAL`
  `static final int`
  `KEY_MACRO`
  `static final int`
  `KEY_NAMES`
  `static final int`
  `KEY_NOFLOW`
  `static final int`
  `KEY_OFFSET`
  `static final int`
  `KEY_PCODEOP`
  `static final int`
  `KEY_RETURN`
  `static final int`
  `KEY_SIGNED`
  `static final int`
  `KEY_SIZE`
  `static final int`
  `KEY_SPACE`
  `static final int`
  `KEY_TOKEN`
  `static final int`
  `KEY_TYPE`
  `static final int`
  `KEY_UNIMPL`
  `static final int`
  `KEY_VALUES`
  `static final int`
  `KEY_VARIABLES`
  `static final int`
  `KEY_WORDSIZE`
  `static final int`
  `LBRACE`
  `static final int`
  `LBRACKET`
  `static final int`
  `LEFT`
  `static final int`
  `LESS`
  `static final int`
  `LESSEQUAL`
  `static final int`
  `LINECOMMENT`
  `static final int`
  `LPAREN`
  `static final int`
  `MINUS`
  `static final int`
  `NOTEQUAL`
  `static final int`
  `OCTAL_ESCAPE`
  `static final int`
  `OP_ADD`
  `static final int`
  `OP_ADDRESS_OF`
  `static final int`
  `OP_ALIGNMENT`
  `static final int`
  `OP_AND`
  `static final int`
  `OP_APPLY`
  `static final int`
  `OP_ARGUMENTS`
  `static final int`
  `OP_ASSIGN`
  `static final int`
  `OP_BIG`
  `static final int`
  `OP_BIN_CONSTANT`
  `static final int`
  `OP_BIT_PATTERN`
  `static final int`
  `OP_BITRANGE`
  `static final int`
  `OP_BITRANGE2`
  `static final int`
  `OP_BITRANGES`
  `static final int`
  `OP_BOOL_AND`
  `static final int`
  `OP_BOOL_OR`
  `static final int`
  `OP_BOOL_XOR`
  `static final int`
  `OP_BUILD`
  `static final int`
  `OP_CALL`
  `static final int`
  `OP_CONCATENATE`
  `static final int`
  `OP_CONSTRUCTOR`
  `static final int`
  `OP_CONTEXT`
  `static final int`
  `OP_CONTEXT_BLOCK`
  `static final int`
  `OP_CROSSBUILD`
  `static final int`
  `OP_CTLIST`
  `static final int`
  `OP_DEC`
  `static final int`
  `OP_DEC_CONSTANT`
  `static final int`
  `OP_DECLARATIVE_SIZE`
  `static final int`
  `OP_DEFAULT`
  `static final int`
  `OP_DEREFERENCE`
  `static final int`
  `OP_DISPLAY`
  `static final int`
  `OP_DIV`
  `static final int`
  `OP_ELLIPSIS`
  `static final int`
  `OP_ELLIPSIS_RIGHT`
  `static final int`
  `OP_EMPTY_LIST`
  `static final int`
  `OP_ENDIAN`
  `static final int`
  `OP_EQUAL`
  `static final int`
  `OP_EXPORT`
  `static final int`
  `OP_FADD`
  `static final int`
  `OP_FDIV`
  `static final int`
  `OP_FEQUAL`
  `static final int`
  `OP_FGREAT`
  `static final int`
  `OP_FGREATEQUAL`
  `static final int`
  `OP_FIELD_MODS`
  `static final int`
  `OP_FIELDDEF`
  `static final int`
  `OP_FIELDDEFS`
  `static final int`
  `OP_FLESS`
  `static final int`
  `OP_FLESSEQUAL`
  `static final int`
  `OP_FMULT`
  `static final int`
  `OP_FNEGATE`
  `static final int`
  `OP_FNOTEQUAL`
  `static final int`
  `OP_FSUB`
  `static final int`
  `OP_GOTO`
  `static final int`
  `OP_GREAT`
  `static final int`
  `OP_GREATEQUAL`
  `static final int`
  `OP_HEX`
  `static final int`
  `OP_HEX_CONSTANT`
  `static final int`
  `OP_IDENTIFIER`
  `static final int`
  `OP_IDENTIFIER_LIST`
  `static final int`
  `OP_IF`
  `static final int`
  `OP_INTBLIST`
  `static final int`
  `OP_INVERT`
  `static final int`
  `OP_JUMPDEST_ABSOLUTE`
  `static final int`
  `OP_JUMPDEST_DYNAMIC`
  `static final int`
  `OP_JUMPDEST_LABEL`
  `static final int`
  `OP_JUMPDEST_RELATIVE`
  `static final int`
  `OP_JUMPDEST_SYMBOL`
  `static final int`
  `OP_LABEL`
  `static final int`
  `OP_LEFT`
  `static final int`
  `OP_LESS`
  `static final int`
  `OP_LESSEQUAL`
  `static final int`
  `OP_LITTLE`
  `static final int`
  `OP_LOCAL`
  `static final int`
  `OP_MACRO`
  `static final int`
  `OP_MULT`
  `static final int`
  `OP_NAMES`
  `static final int`
  `OP_NEGATE`
  `static final int`
  `OP_NIL`
  `static final int`
  `OP_NO_CONTEXT_BLOCK`
  `static final int`
  `OP_NO_FIELD_MOD`
  `static final int`
  `OP_NOFLOW`
  `static final int`
  `OP_NOP`
  `static final int`
  `OP_NOT`
  `static final int`
  `OP_NOT_DEFAULT`
  `static final int`
  `OP_NOTEQUAL`
  `static final int`
  `OP_OR`
  `static final int`
  `OP_PARENTHESIZED`
  `static final int`
  `OP_PCODE`
  `static final int`
  `OP_PCODEOP`
  `static final int`
  `OP_QSTRING`
  `static final int`
  `OP_REM`
  `static final int`
  `OP_RETURN`
  `static final int`
  `OP_RIGHT`
  `static final int`
  `OP_SDIV`
  `static final int`
  `OP_SECTION_LABEL`
  `static final int`
  `OP_SEMANTIC`
  `static final int`
  `OP_SEQUENCE`
  `static final int`
  `OP_SGREAT`
  `static final int`
  `OP_SGREATEQUAL`
  `static final int`
  `OP_SIGNED`
  `static final int`
  `OP_SIZE`
  `static final int`
  `OP_SIZING_SIZE`
  `static final int`
  `OP_SLESS`
  `static final int`
  `OP_SLESSEQUAL`
  `static final int`
  `OP_SPACE`
  `static final int`
  `OP_SPACEMODS`
  `static final int`
  `OP_SREM`
  `static final int`
  `OP_SRIGHT`
  `static final int`
  `OP_STRING`
  `static final int`
  `OP_STRING_OR_IDENT_LIST`
  `static final int`
  `OP_SUB`
  `static final int`
  `OP_SUBTABLE`
  `static final int`
  `OP_TABLE`
  `static final int`
  `OP_TOKEN`
  `static final int`
  `OP_TOKEN_ENDIAN`
  `static final int`
  `OP_TRUNCATION_SIZE`
  `static final int`
  `OP_TYPE`
  `static final int`
  `OP_UNIMPL`
  `static final int`
  `OP_VALUES`
  `static final int`
  `OP_VARIABLES`
  `static final int`
  `OP_VARNODE`
  `static final int`
  `OP_WHITESPACE`
  `static final int`
  `OP_WILDCARD`
  `static final int`
  `OP_WITH`
  `static final int`
  `OP_WORDSIZE`
  `static final int`
  `OP_XOR`
  `static final int`
  `PERCENT`
  `static final int`
  `PIPE`
  `static final int`
  `PLUS`
  `static final int`
  `PP_ESCAPE`
  `static final int`
  `PP_POSITION`
  `static final int`
  `QSTRING`
  `static final int`
  `RBRACE`
  `static final int`
  `RBRACKET`
  `static final int`
  `RES_IF`
  `static final int`
  `RES_IS`
  `static final int`
  `RES_WITH`
  `static final int`
  `RIGHT`
  `static final int`
  `RPAREN`
  `static final int`
  `SDIV`
  `static final int`
  `SEMI`
  `static final int`
  `SGREAT`
  `static final int`
  `SGREATEQUAL`
  `static final int`
  `SLASH`
  `static final int`
  `SLESS`
  `static final int`
  `SLESSEQUAL`
  `static final int`
  `SPEC_AND`
  `static final int`
  `SPEC_OR`
  `static final int`
  `SPEC_XOR`
  `static final int`
  `SREM`
  `static final int`
  `SRIGHT`
  `static final int`
  `TILDE`
  `static final int`
  `Tokens`
  `static final int`
  `UNDERSCORE`
  `static final int`
  `UNICODE_ESCAPE`
  `static final int`
  `UNKNOWN`
  `static final int`
  `WS`

  ### Fields inherited from class ghidra.sleigh.grammar.AbstractSleighLexer

  `env`

  ### Fields inherited from class org.antlr.runtime.Lexer

  `input`

  ### Fields inherited from class org.antlr.runtime.BaseRecognizer

  `DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME, state`

  ### Fields inherited from interface ghidra.sleigh.grammar.SleighRecognizerConstants

  `BASE, COMMENT, DISPLAY, PREPROC, SEMANTIC`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SemanticLexer()`
  `SemanticLexer(org.antlr.runtime.CharStream input)`
  `SemanticLexer(org.antlr.runtime.CharStream input, org.antlr.runtime.RecognizerSharedState state)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AbstractSleighLexer[]`
  `getDelegates()`
  `String`
  `getGrammarFileName()`
  `final void`
  `mFDIV()`
  `final void`
  `mFEQUAL()`
  `final void`
  `mFGREAT()`
  `final void`
  `mFGREATEQUAL()`
  `final void`
  `mFLESS()`
  `final void`
  `mFLESSEQUAL()`
  `final void`
  `mFMINUS()`
  `final void`
  `mFMULT()`
  `final void`
  `mFNOTEQUAL()`
  `final void`
  `mFPLUS()`
  `final void`
  `mRES_IF()`
  `final void`
  `mSDIV()`
  `final void`
  `mSGREAT()`
  `final void`
  `mSGREATEQUAL()`
  `final void`
  `mSLESS()`
  `final void`
  `mSLESSEQUAL()`
  `final void`
  `mSREM()`
  `final void`
  `mSRIGHT()`
  `void`
  `mTokens()`
  `void`
  `setEnv(ParsingEnvironment env)`

  ### Methods inherited from class ghidra.sleigh.grammar.AbstractSleighLexer

  `emit, emitErrorMessage, getErrorHeader, getErrorMessage, getTokenErrorDisplay, preprocess`

  ### Methods inherited from class org.antlr.runtime.Lexer

  `emit, getCharErrorDisplay, getCharIndex, getCharPositionInLine, getCharStream, getEOFToken, getLine, getSourceName, getText, match, match, matchAny, matchRange, nextToken, recover, reportError, reset, setCharStream, setText, skip, traceIn, traceOut`

  ### Methods inherited from class org.antlr.runtime.BaseRecognizer

  `alreadyParsedRule, beginResync, combineFollows, computeContextSensitiveRuleFOLLOW, computeErrorRecoverySet, consumeUntil, consumeUntil, displayRecognitionError, endResync, failed, getBacktrackingLevel, getCurrentInputSymbol, getMissingSymbol, getNumberOfSyntaxErrors, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenNames, match, matchAny, memoize, mismatchIsMissingToken, mismatchIsUnwantedToken, pushFollow, recover, recoverFromMismatchedSet, recoverFromMismatchedToken, setBacktrackingLevel, toStrings, traceIn, traceOut`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### EOF

    public static final int EOF
    See Also:
      - Constant Field Values

  - ### ALPHA

    public static final int ALPHA
    See Also:
      - Constant Field Values

  - ### ALPHAUP

    public static final int ALPHAUP
    See Also:
      - Constant Field Values

  - ### AMPERSAND

    public static final int AMPERSAND
    See Also:
      - Constant Field Values

  - ### ASSIGN

    public static final int ASSIGN
    See Also:
      - Constant Field Values

  - ### ASTERISK

    public static final int ASTERISK
    See Also:
      - Constant Field Values

  - ### BINDIGIT

    public static final int BINDIGIT
    See Also:
      - Constant Field Values

  - ### BIN_INT

    public static final int BIN_INT
    See Also:
      - Constant Field Values

  - ### BOOL_AND

    public static final int BOOL_AND
    See Also:
      - Constant Field Values

  - ### BOOL_OR

    public static final int BOOL_OR
    See Also:
      - Constant Field Values

  - ### BOOL_XOR

    public static final int BOOL_XOR
    See Also:
      - Constant Field Values

  - ### CARET

    public static final int CARET
    See Also:
      - Constant Field Values

  - ### COLON

    public static final int COLON
    See Also:
      - Constant Field Values

  - ### COMMA

    public static final int COMMA
    See Also:
      - Constant Field Values

  - ### CPPCOMMENT

    public static final int CPPCOMMENT
    See Also:
      - Constant Field Values

  - ### DEC_INT

    public static final int DEC_INT
    See Also:
      - Constant Field Values

  - ### DIGIT

    public static final int DIGIT
    See Also:
      - Constant Field Values

  - ### DISPCHAR

    public static final int DISPCHAR
    See Also:
      - Constant Field Values

  - ### ELLIPSIS

    public static final int ELLIPSIS
    See Also:
      - Constant Field Values

  - ### EOL

    public static final int EOL
    See Also:
      - Constant Field Values

  - ### EQUAL

    public static final int EQUAL
    See Also:
      - Constant Field Values

  - ### ESCAPE

    public static final int ESCAPE
    See Also:
      - Constant Field Values

  - ### EXCLAIM

    public static final int EXCLAIM
    See Also:
      - Constant Field Values

  - ### FDIV

    public static final int FDIV
    See Also:
      - Constant Field Values

  - ### FEQUAL

    public static final int FEQUAL
    See Also:
      - Constant Field Values

  - ### FGREAT

    public static final int FGREAT
    See Also:
      - Constant Field Values

  - ### FGREATEQUAL

    public static final int FGREATEQUAL
    See Also:
      - Constant Field Values

  - ### FLESS

    public static final int FLESS
    See Also:
      - Constant Field Values

  - ### FLESSEQUAL

    public static final int FLESSEQUAL
    See Also:
      - Constant Field Values

  - ### FMINUS

    public static final int FMINUS
    See Also:
      - Constant Field Values

  - ### FMULT

    public static final int FMULT
    See Also:
      - Constant Field Values

  - ### FNOTEQUAL

    public static final int FNOTEQUAL
    See Also:
      - Constant Field Values

  - ### FPLUS

    public static final int FPLUS
    See Also:
      - Constant Field Values

  - ### GREAT

    public static final int GREAT
    See Also:
      - Constant Field Values

  - ### GREATEQUAL

    public static final int GREATEQUAL
    See Also:
      - Constant Field Values

  - ### HEXDIGIT

    public static final int HEXDIGIT
    See Also:
      - Constant Field Values

  - ### HEX_INT

    public static final int HEX_INT
    See Also:
      - Constant Field Values

  - ### IDENTIFIER

    public static final int IDENTIFIER
    See Also:
      - Constant Field Values

  - ### KEY_ALIGNMENT

    public static final int KEY_ALIGNMENT
    See Also:
      - Constant Field Values

  - ### KEY_ATTACH

    public static final int KEY_ATTACH
    See Also:
      - Constant Field Values

  - ### KEY_BIG

    public static final int KEY_BIG
    See Also:
      - Constant Field Values

  - ### KEY_BITRANGE

    public static final int KEY_BITRANGE
    See Also:
      - Constant Field Values

  - ### KEY_BUILD

    public static final int KEY_BUILD
    See Also:
      - Constant Field Values

  - ### KEY_CALL

    public static final int KEY_CALL
    See Also:
      - Constant Field Values

  - ### KEY_CONTEXT

    public static final int KEY_CONTEXT
    See Also:
      - Constant Field Values

  - ### KEY_CROSSBUILD

    public static final int KEY_CROSSBUILD
    See Also:
      - Constant Field Values

  - ### KEY_DEC

    public static final int KEY_DEC
    See Also:
      - Constant Field Values

  - ### KEY_DEFAULT

    public static final int KEY_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_DEFINE

    public static final int KEY_DEFINE
    See Also:
      - Constant Field Values

  - ### KEY_ENDIAN

    public static final int KEY_ENDIAN
    See Also:
      - Constant Field Values

  - ### KEY_EXPORT

    public static final int KEY_EXPORT
    See Also:
      - Constant Field Values

  - ### KEY_GOTO

    public static final int KEY_GOTO
    See Also:
      - Constant Field Values

  - ### KEY_HEX

    public static final int KEY_HEX
    See Also:
      - Constant Field Values

  - ### KEY_LITTLE

    public static final int KEY_LITTLE
    See Also:
      - Constant Field Values

  - ### KEY_LOCAL

    public static final int KEY_LOCAL
    See Also:
      - Constant Field Values

  - ### KEY_MACRO

    public static final int KEY_MACRO
    See Also:
      - Constant Field Values

  - ### KEY_NAMES

    public static final int KEY_NAMES
    See Also:
      - Constant Field Values

  - ### KEY_NOFLOW

    public static final int KEY_NOFLOW
    See Also:
      - Constant Field Values

  - ### KEY_OFFSET

    public static final int KEY_OFFSET
    See Also:
      - Constant Field Values

  - ### KEY_PCODEOP

    public static final int KEY_PCODEOP
    See Also:
      - Constant Field Values

  - ### KEY_RETURN

    public static final int KEY_RETURN
    See Also:
      - Constant Field Values

  - ### KEY_SIGNED

    public static final int KEY_SIGNED
    See Also:
      - Constant Field Values

  - ### KEY_SIZE

    public static final int KEY_SIZE
    See Also:
      - Constant Field Values

  - ### KEY_SPACE

    public static final int KEY_SPACE
    See Also:
      - Constant Field Values

  - ### KEY_TOKEN

    public static final int KEY_TOKEN
    See Also:
      - Constant Field Values

  - ### KEY_TYPE

    public static final int KEY_TYPE
    See Also:
      - Constant Field Values

  - ### KEY_UNIMPL

    public static final int KEY_UNIMPL
    See Also:
      - Constant Field Values

  - ### KEY_VALUES

    public static final int KEY_VALUES
    See Also:
      - Constant Field Values

  - ### KEY_VARIABLES

    public static final int KEY_VARIABLES
    See Also:
      - Constant Field Values

  - ### KEY_WORDSIZE

    public static final int KEY_WORDSIZE
    See Also:
      - Constant Field Values

  - ### LBRACE

    public static final int LBRACE
    See Also:
      - Constant Field Values

  - ### LBRACKET

    public static final int LBRACKET
    See Also:
      - Constant Field Values

  - ### LEFT

    public static final int LEFT
    See Also:
      - Constant Field Values

  - ### LESS

    public static final int LESS
    See Also:
      - Constant Field Values

  - ### LESSEQUAL

    public static final int LESSEQUAL
    See Also:
      - Constant Field Values

  - ### LINECOMMENT

    public static final int LINECOMMENT
    See Also:
      - Constant Field Values

  - ### LPAREN

    public static final int LPAREN
    See Also:
      - Constant Field Values

  - ### MINUS

    public static final int MINUS
    See Also:
      - Constant Field Values

  - ### NOTEQUAL

    public static final int NOTEQUAL
    See Also:
      - Constant Field Values

  - ### OCTAL_ESCAPE

    public static final int OCTAL_ESCAPE
    See Also:
      - Constant Field Values

  - ### OP_ADD

    public static final int OP_ADD
    See Also:
      - Constant Field Values

  - ### OP_ADDRESS_OF

    public static final int OP_ADDRESS_OF
    See Also:
      - Constant Field Values

  - ### OP_ALIGNMENT

    public static final int OP_ALIGNMENT
    See Also:
      - Constant Field Values

  - ### OP_AND

    public static final int OP_AND
    See Also:
      - Constant Field Values

  - ### OP_APPLY

    public static final int OP_APPLY
    See Also:
      - Constant Field Values

  - ### OP_ARGUMENTS

    public static final int OP_ARGUMENTS
    See Also:
      - Constant Field Values

  - ### OP_ASSIGN

    public static final int OP_ASSIGN
    See Also:
      - Constant Field Values

  - ### OP_BIG

    public static final int OP_BIG
    See Also:
      - Constant Field Values

  - ### OP_BIN_CONSTANT

    public static final int OP_BIN_CONSTANT
    See Also:
      - Constant Field Values

  - ### OP_BITRANGE

    public static final int OP_BITRANGE
    See Also:
      - Constant Field Values

  - ### OP_BITRANGE2

    public static final int OP_BITRANGE2
    See Also:
      - Constant Field Values

  - ### OP_BITRANGES

    public static final int OP_BITRANGES
    See Also:
      - Constant Field Values

  - ### OP_BIT_PATTERN

    public static final int OP_BIT_PATTERN
    See Also:
      - Constant Field Values

  - ### OP_BOOL_AND

    public static final int OP_BOOL_AND
    See Also:
      - Constant Field Values

  - ### OP_BOOL_OR

    public static final int OP_BOOL_OR
    See Also:
      - Constant Field Values

  - ### OP_BOOL_XOR

    public static final int OP_BOOL_XOR
    See Also:
      - Constant Field Values

  - ### OP_BUILD

    public static final int OP_BUILD
    See Also:
      - Constant Field Values

  - ### OP_CALL

    public static final int OP_CALL
    See Also:
      - Constant Field Values

  - ### OP_CONCATENATE

    public static final int OP_CONCATENATE
    See Also:
      - Constant Field Values

  - ### OP_CONSTRUCTOR

    public static final int OP_CONSTRUCTOR
    See Also:
      - Constant Field Values

  - ### OP_CONTEXT

    public static final int OP_CONTEXT
    See Also:
      - Constant Field Values

  - ### OP_CONTEXT_BLOCK

    public static final int OP_CONTEXT_BLOCK
    See Also:
      - Constant Field Values

  - ### OP_CROSSBUILD

    public static final int OP_CROSSBUILD
    See Also:
      - Constant Field Values

  - ### OP_CTLIST

    public static final int OP_CTLIST
    See Also:
      - Constant Field Values

  - ### OP_DEC

    public static final int OP_DEC
    See Also:
      - Constant Field Values

  - ### OP_DECLARATIVE_SIZE

    public static final int OP_DECLARATIVE_SIZE
    See Also:
      - Constant Field Values

  - ### OP_DEC_CONSTANT

    public static final int OP_DEC_CONSTANT
    See Also:
      - Constant Field Values

  - ### OP_DEFAULT

    public static final int OP_DEFAULT
    See Also:
      - Constant Field Values

  - ### OP_DEREFERENCE

    public static final int OP_DEREFERENCE
    See Also:
      - Constant Field Values

  - ### OP_DISPLAY

    public static final int OP_DISPLAY
    See Also:
      - Constant Field Values

  - ### OP_DIV

    public static final int OP_DIV
    See Also:
      - Constant Field Values

  - ### OP_ELLIPSIS

    public static final int OP_ELLIPSIS
    See Also:
      - Constant Field Values

  - ### OP_ELLIPSIS_RIGHT

    public static final int OP_ELLIPSIS_RIGHT
    See Also:
      - Constant Field Values

  - ### OP_EMPTY_LIST

    public static final int OP_EMPTY_LIST
    See Also:
      - Constant Field Values

  - ### OP_ENDIAN

    public static final int OP_ENDIAN
    See Also:
      - Constant Field Values

  - ### OP_EQUAL

    public static final int OP_EQUAL
    See Also:
      - Constant Field Values

  - ### OP_EXPORT

    public static final int OP_EXPORT
    See Also:
      - Constant Field Values

  - ### OP_FADD

    public static final int OP_FADD
    See Also:
      - Constant Field Values

  - ### OP_FDIV

    public static final int OP_FDIV
    See Also:
      - Constant Field Values

  - ### OP_FEQUAL

    public static final int OP_FEQUAL
    See Also:
      - Constant Field Values

  - ### OP_FGREAT

    public static final int OP_FGREAT
    See Also:
      - Constant Field Values

  - ### OP_FGREATEQUAL

    public static final int OP_FGREATEQUAL
    See Also:
      - Constant Field Values

  - ### OP_FIELDDEF

    public static final int OP_FIELDDEF
    See Also:
      - Constant Field Values

  - ### OP_FIELDDEFS

    public static final int OP_FIELDDEFS
    See Also:
      - Constant Field Values

  - ### OP_FIELD_MODS

    public static final int OP_FIELD_MODS
    See Also:
      - Constant Field Values

  - ### OP_FLESS

    public static final int OP_FLESS
    See Also:
      - Constant Field Values

  - ### OP_FLESSEQUAL

    public static final int OP_FLESSEQUAL
    See Also:
      - Constant Field Values

  - ### OP_FMULT

    public static final int OP_FMULT
    See Also:
      - Constant Field Values

  - ### OP_FNEGATE

    public static final int OP_FNEGATE
    See Also:
      - Constant Field Values

  - ### OP_FNOTEQUAL

    public static final int OP_FNOTEQUAL
    See Also:
      - Constant Field Values

  - ### OP_FSUB

    public static final int OP_FSUB
    See Also:
      - Constant Field Values

  - ### OP_GOTO

    public static final int OP_GOTO
    See Also:
      - Constant Field Values

  - ### OP_GREAT

    public static final int OP_GREAT
    See Also:
      - Constant Field Values

  - ### OP_GREATEQUAL

    public static final int OP_GREATEQUAL
    See Also:
      - Constant Field Values

  - ### OP_HEX

    public static final int OP_HEX
    See Also:
      - Constant Field Values

  - ### OP_HEX_CONSTANT

    public static final int OP_HEX_CONSTANT
    See Also:
      - Constant Field Values

  - ### OP_IDENTIFIER

    public static final int OP_IDENTIFIER
    See Also:
      - Constant Field Values

  - ### OP_IDENTIFIER_LIST

    public static final int OP_IDENTIFIER_LIST
    See Also:
      - Constant Field Values

  - ### OP_IF

    public static final int OP_IF
    See Also:
      - Constant Field Values

  - ### OP_INTBLIST

    public static final int OP_INTBLIST
    See Also:
      - Constant Field Values

  - ### OP_INVERT

    public static final int OP_INVERT
    See Also:
      - Constant Field Values

  - ### OP_JUMPDEST_ABSOLUTE

    public static final int OP_JUMPDEST_ABSOLUTE
    See Also:
      - Constant Field Values

  - ### OP_JUMPDEST_DYNAMIC

    public static final int OP_JUMPDEST_DYNAMIC
    See Also:
      - Constant Field Values

  - ### OP_JUMPDEST_LABEL

    public static final int OP_JUMPDEST_LABEL
    See Also:
      - Constant Field Values

  - ### OP_JUMPDEST_RELATIVE

    public static final int OP_JUMPDEST_RELATIVE
    See Also:
      - Constant Field Values

  - ### OP_JUMPDEST_SYMBOL

    public static final int OP_JUMPDEST_SYMBOL
    See Also:
      - Constant Field Values

  - ### OP_LABEL

    public static final int OP_LABEL
    See Also:
      - Constant Field Values

  - ### OP_LEFT

    public static final int OP_LEFT
    See Also:
      - Constant Field Values

  - ### OP_LESS

    public static final int OP_LESS
    See Also:
      - Constant Field Values

  - ### OP_LESSEQUAL

    public static final int OP_LESSEQUAL
    See Also:
      - Constant Field Values

  - ### OP_LITTLE

    public static final int OP_LITTLE
    See Also:
      - Constant Field Values

  - ### OP_LOCAL

    public static final int OP_LOCAL
    See Also:
      - Constant Field Values

  - ### OP_MACRO

    public static final int OP_MACRO
    See Also:
      - Constant Field Values

  - ### OP_MULT

    public static final int OP_MULT
    See Also:
      - Constant Field Values

  - ### OP_NAMES

    public static final int OP_NAMES
    See Also:
      - Constant Field Values

  - ### OP_NEGATE

    public static final int OP_NEGATE
    See Also:
      - Constant Field Values

  - ### OP_NIL

    public static final int OP_NIL
    See Also:
      - Constant Field Values

  - ### OP_NOFLOW

    public static final int OP_NOFLOW
    See Also:
      - Constant Field Values

  - ### OP_NOP

    public static final int OP_NOP
    See Also:
      - Constant Field Values

  - ### OP_NOT

    public static final int OP_NOT
    See Also:
      - Constant Field Values

  - ### OP_NOTEQUAL

    public static final int OP_NOTEQUAL
    See Also:
      - Constant Field Values

  - ### OP_NOT_DEFAULT

    public static final int OP_NOT_DEFAULT
    See Also:
      - Constant Field Values

  - ### OP_NO_CONTEXT_BLOCK

    public static final int OP_NO_CONTEXT_BLOCK
    See Also:
      - Constant Field Values

  - ### OP_NO_FIELD_MOD

    public static final int OP_NO_FIELD_MOD
    See Also:
      - Constant Field Values

  - ### OP_OR

    public static final int OP_OR
    See Also:
      - Constant Field Values

  - ### OP_PARENTHESIZED

    public static final int OP_PARENTHESIZED
    See Also:
      - Constant Field Values

  - ### OP_PCODE

    public static final int OP_PCODE
    See Also:
      - Constant Field Values

  - ### OP_PCODEOP

    public static final int OP_PCODEOP
    See Also:
      - Constant Field Values

  - ### OP_QSTRING

    public static final int OP_QSTRING
    See Also:
      - Constant Field Values

  - ### OP_REM

    public static final int OP_REM
    See Also:
      - Constant Field Values

  - ### OP_RETURN

    public static final int OP_RETURN
    See Also:
      - Constant Field Values

  - ### OP_RIGHT

    public static final int OP_RIGHT
    See Also:
      - Constant Field Values

  - ### OP_SDIV

    public static final int OP_SDIV
    See Also:
      - Constant Field Values

  - ### OP_SECTION_LABEL

    public static final int OP_SECTION_LABEL
    See Also:
      - Constant Field Values

  - ### OP_SEMANTIC

    public static final int OP_SEMANTIC
    See Also:
      - Constant Field Values

  - ### OP_SEQUENCE

    public static final int OP_SEQUENCE
    See Also:
      - Constant Field Values

  - ### OP_SGREAT

    public static final int OP_SGREAT
    See Also:
      - Constant Field Values

  - ### OP_SGREATEQUAL

    public static final int OP_SGREATEQUAL
    See Also:
      - Constant Field Values

  - ### OP_SIGNED

    public static final int OP_SIGNED
    See Also:
      - Constant Field Values

  - ### OP_SIZE

    public static final int OP_SIZE
    See Also:
      - Constant Field Values

  - ### OP_SIZING_SIZE

    public static final int OP_SIZING_SIZE
    See Also:
      - Constant Field Values

  - ### OP_SLESS

    public static final int OP_SLESS
    See Also:
      - Constant Field Values

  - ### OP_SLESSEQUAL

    public static final int OP_SLESSEQUAL
    See Also:
      - Constant Field Values

  - ### OP_SPACE

    public static final int OP_SPACE
    See Also:
      - Constant Field Values

  - ### OP_SPACEMODS

    public static final int OP_SPACEMODS
    See Also:
      - Constant Field Values

  - ### OP_SREM

    public static final int OP_SREM
    See Also:
      - Constant Field Values

  - ### OP_SRIGHT

    public static final int OP_SRIGHT
    See Also:
      - Constant Field Values

  - ### OP_STRING

    public static final int OP_STRING
    See Also:
      - Constant Field Values

  - ### OP_STRING_OR_IDENT_LIST

    public static final int OP_STRING_OR_IDENT_LIST
    See Also:
      - Constant Field Values

  - ### OP_SUB

    public static final int OP_SUB
    See Also:
      - Constant Field Values

  - ### OP_SUBTABLE

    public static final int OP_SUBTABLE
    See Also:
      - Constant Field Values

  - ### OP_TABLE

    public static final int OP_TABLE
    See Also:
      - Constant Field Values

  - ### OP_TOKEN

    public static final int OP_TOKEN
    See Also:
      - Constant Field Values

  - ### OP_TOKEN_ENDIAN

    public static final int OP_TOKEN_ENDIAN
    See Also:
      - Constant Field Values

  - ### OP_TRUNCATION_SIZE

    public static final int OP_TRUNCATION_SIZE
    See Also:
      - Constant Field Values

  - ### OP_TYPE

    public static final int OP_TYPE
    See Also:
      - Constant Field Values

  - ### OP_UNIMPL

    public static final int OP_UNIMPL
    See Also:
      - Constant Field Values

  - ### OP_VALUES

    public static final int OP_VALUES
    See Also:
      - Constant Field Values

  - ### OP_VARIABLES

    public static final int OP_VARIABLES
    See Also:
      - Constant Field Values

  - ### OP_VARNODE

    public static final int OP_VARNODE
    See Also:
      - Constant Field Values

  - ### OP_WHITESPACE

    public static final int OP_WHITESPACE
    See Also:
      - Constant Field Values

  - ### OP_WILDCARD

    public static final int OP_WILDCARD
    See Also:
      - Constant Field Values

  - ### OP_WITH

    public static final int OP_WITH
    See Also:
      - Constant Field Values

  - ### OP_WORDSIZE

    public static final int OP_WORDSIZE
    See Also:
      - Constant Field Values

  - ### OP_XOR

    public static final int OP_XOR
    See Also:
      - Constant Field Values

  - ### PERCENT

    public static final int PERCENT
    See Also:
      - Constant Field Values

  - ### PIPE

    public static final int PIPE
    See Also:
      - Constant Field Values

  - ### PLUS

    public static final int PLUS
    See Also:
      - Constant Field Values

  - ### PP_ESCAPE

    public static final int PP_ESCAPE
    See Also:
      - Constant Field Values

  - ### PP_POSITION

    public static final int PP_POSITION
    See Also:
      - Constant Field Values

  - ### QSTRING

    public static final int QSTRING
    See Also:
      - Constant Field Values

  - ### RBRACE

    public static final int RBRACE
    See Also:
      - Constant Field Values

  - ### RBRACKET

    public static final int RBRACKET
    See Also:
      - Constant Field Values

  - ### RES_IF

    public static final int RES_IF
    See Also:
      - Constant Field Values

  - ### RES_IS

    public static final int RES_IS
    See Also:
      - Constant Field Values

  - ### RES_WITH

    public static final int RES_WITH
    See Also:
      - Constant Field Values

  - ### RIGHT

    public static final int RIGHT
    See Also:
      - Constant Field Values

  - ### RPAREN

    public static final int RPAREN
    See Also:
      - Constant Field Values

  - ### SDIV

    public static final int SDIV
    See Also:
      - Constant Field Values

  - ### SEMI

    public static final int SEMI
    See Also:
      - Constant Field Values

  - ### SGREAT

    public static final int SGREAT
    See Also:
      - Constant Field Values

  - ### SGREATEQUAL

    public static final int SGREATEQUAL
    See Also:
      - Constant Field Values

  - ### SLASH

    public static final int SLASH
    See Also:
      - Constant Field Values

  - ### SLESS

    public static final int SLESS
    See Also:
      - Constant Field Values

  - ### SLESSEQUAL

    public static final int SLESSEQUAL
    See Also:
      - Constant Field Values

  - ### SPEC_AND

    public static final int SPEC_AND
    See Also:
      - Constant Field Values

  - ### SPEC_OR

    public static final int SPEC_OR
    See Also:
      - Constant Field Values

  - ### SPEC_XOR

    public static final int SPEC_XOR
    See Also:
      - Constant Field Values

  - ### SREM

    public static final int SREM
    See Also:
      - Constant Field Values

  - ### SRIGHT

    public static final int SRIGHT
    See Also:
      - Constant Field Values

  - ### TILDE

    public static final int TILDE
    See Also:
      - Constant Field Values

  - ### Tokens

    public static final int Tokens
    See Also:
      - Constant Field Values

  - ### UNDERSCORE

    public static final int UNDERSCORE
    See Also:
      - Constant Field Values

  - ### UNICODE_ESCAPE

    public static final int UNICODE_ESCAPE
    See Also:
      - Constant Field Values

  - ### UNKNOWN

    public static final int UNKNOWN
    See Also:
      - Constant Field Values

  - ### WS

    public static final int WS
    See Also:
      - Constant Field Values

  - ### gBaseLexer

    public SemanticLexer_BaseLexer gBaseLexer

- ## Constructor Details

  - ### SemanticLexer

    public SemanticLexer()

  - ### SemanticLexer

    public SemanticLexer(org.antlr.runtime.CharStream input)

  - ### SemanticLexer

    public SemanticLexer(org.antlr.runtime.CharStream input, org.antlr.runtime.RecognizerSharedState state)

- ## Method Details

  - ### setEnv

    public void setEnv(ParsingEnvironment env)
    Overrides:
      `setEnv` in class `AbstractSleighLexer`

  - ### getDelegates

    public AbstractSleighLexer[] getDelegates()

  - ### getGrammarFileName

    public String getGrammarFileName()
    Overrides:
      `getGrammarFileName` in class `org.antlr.runtime.BaseRecognizer`

  - ### mFEQUAL

    public final void mFEQUAL() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mFNOTEQUAL

    public final void mFNOTEQUAL() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mFLESS

    public final void mFLESS() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mFGREAT

    public final void mFGREAT() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mFLESSEQUAL

    public final void mFLESSEQUAL() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mFGREATEQUAL

    public final void mFGREATEQUAL() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mFPLUS

    public final void mFPLUS() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mFMINUS

    public final void mFMINUS() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mFMULT

    public final void mFMULT() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mFDIV

    public final void mFDIV() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mSLESS

    public final void mSLESS() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mSGREAT

    public final void mSGREAT() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mSLESSEQUAL

    public final void mSLESSEQUAL() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mSGREATEQUAL

    public final void mSGREATEQUAL() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mSRIGHT

    public final void mSRIGHT() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mSDIV

    public final void mSDIV() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mSREM

    public final void mSREM() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mRES_IF

    public final void mRES_IF() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mTokens

    public void mTokens() throws org.antlr.runtime.RecognitionException
    Specified by:
      `mTokens` in class `org.antlr.runtime.Lexer`
    Throws:
      `org.antlr.runtime.RecognitionException`